Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#4847 closed defect (invalid)

Cert has expired on ffmpeg for mac version 2.2.2 that we use with audcity and munki installs into our labs

Reported by: ebobak Owned by:
Priority: normal Component: undetermined
Version: unspecified Keywords:
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

Summary of the bug: Cert has expired on ffmpeg-mac-2.2.2.pkg

How to reproduce:pkgutil --check-signature /Volumes/ffmpeg-mac-2.2.2/ffmpeg-mac-2.2.2.pkg

% ffmpeg -i input ... output  Can't install as cert has expired.
ffmpeg version 2.2.2
built on ... 10.10.5

Patches should be submitted to the ffmpeg-devel mailing list and not this bug tracker.

pkgutil --check-signature /Volumes/ffmpeg-mac-2.2.2/ffmpeg-mac-2.2.2.pkg
Package "ffmpeg-mac-2.2.2.pkg":

Status: signed by a certificate that has since expired
Certificate Chain:

  1. 3rd Party Mac Developer Installer: Paul Livesey (W7BECS7GGC) SHA1 fingerprint: B8 98 FF 03 28 34 2B 55 B3 05 5C 38 30 59 12 7B BC F6 64 0B -----------------------------------------------------------------------------
  2. Apple Worldwide Developer Relations Certification Authority SHA1 fingerprint: 09 50 B6 CD 3D 2F 37 EA 24 6A 1A AA 20 DF AA DB D6 FE 1F 75 -----------------------------------------------------------------------------
  3. Apple Root CA SHA1 fingerprint: 61 1E 5B 66 2C 59 3A 08 FF 58 D1 4A E2 24 52 D1 98 DF 6C 60

Change History (4)

comment:1 Changed 3 years ago by llogan

  • Component changed from build system to undetermined
  • Resolution set to invalid
  • Status changed from new to closed

FFmpeg does not offer anything called "ffmpeg-mac".

Looks like an issue concerning your package management system.

comment:2 Changed 3 years ago by cehoyos

  • Keywords cert removed

I am slightly curious where to find this package management system...

comment:3 Changed 3 years ago by ebobak

You can find munki here: https://www.munki.org/munki/

and I was able to find the site that was hosting the ffmpeg 2.2.2 for audacity at http://lame.buanzo.org/#lameosxdl
They are working on updating the cert now.

comment:4 Changed 3 years ago by cehoyos

Will somebody tell them that FFmpeg 2.2 is outdated and that FFmpeg 2.2.2 contains known (and fixed) security issues?

Note: See TracTickets for help on using tickets.